[linux_var] cdrecord e kernel 2.6.3

Luigi B. luigi.b a aliceposta.it
Mar 13 Apr 2004 15:39:15 UTC


Alle 11:04, martedì 13 aprile 2004, Caco mapo ha scritto:
> ma che in****re ... mi sono messo a ridere.... :-)
> ho letto in giro .. si puo' non usare l'emulazione
> scsi.. .. adesso devo capire .. come giocarmela con
> moduli e avvio in lilo.. per poter continuare ad usare
> sia il kernel 2.4 che il 2.6 !
> Morris
>

se vuoi caricare dei moduli solo con un determinato kernel puoi usare qualche 
linea di script da inserire negli script di avvio, ad esempio io, nella 
Slack, ho inserito quasi alla fine di /etc/rc.d/rc.local le seguenti linee 
per caricare determinati moduli soltanto con un 2.6.x:


 # Loading some modules for 2.6.x kernel
KERNEL="2.6"
K=`uname -r | awk '{print substr($1,1,3)}'`
if [ "$K" = "$KERNEL" ] ; then
	echo "Begin loading some modules for 2.6.x kernel..."
	# Loading via-agp for acceleration 3d
	echo "  Loading via-agp module for acceleration 3d (additional to agpgart)"
	modprobe via-agp
	# Loadind pwcx for Philips Web Cam
	echo "  Loading pwcx module (additional to pwc module for Philips webcam)"
	modprobe pwcx
	# Loading parport_pc, additional module for printer
	echo "  Loading parport_pc (additional module for printer)"
	modprobe parport_pc
	# Loading uhci_hcd, additional module for usb module, uhci_hcd is the uhci 
	# version for kernel 2.6.x
	echo "  Loading uhci_hcd module (additional module to usb devices)"
	modprobe uhci_hcd
	echo "End loading modules for 2.6.x kernel."
fi

ovviamente la cosa si può adattare agli altri kernel e/o con i moduli che si 
vogliono caricare, invece nel lilo.conf ho inserito:

append = "hdc=ide-scsi hdd=ide-scsi"

soltanto per i kernel 2.4.x.

Per l'uso poi di cdrecord con i 2.6.x penso sia valido il consiglio postato da 
Un1c0.

Bye :-)
 



More information about the Talking mailing list